diff --git a/pkgmngt/packageManager.xml.pacman b/pkgmngt/packageManager.xml.pacman
index aa4e9ce..16cb844 100644
--- a/pkgmngt/packageManager.xml.pacman
+++ b/pkgmngt/packageManager.xml.pacman
@@ -41,402 +117,405 @@ Do not change  anything, except the url and the md5 checksum. -->
         <para>MD5 sum: <literal>&curl-md5;</literal></para>
         <para>Download: <ulink url="&fakeroot-url;"/></para>
         <para>MD5 sum: <literal>&fakeroot-md5;</literal></para>
+        <para>Download: <ulink url="&gnupg-url;"/></para>
+        <para>MD5 sum: <literal>&gnupg-md5;</literal></para>
+        <para>Download: <ulink url="&gpgme-url;"/></para>
+        <para>MD5 sum: <literal>&gpgme-md5;</literal></para>
         <para>Download: <ulink url="&libarchive-url;"/></para>
         <para>MD5 sum: <literal>&libarchive-md5;</literal></para>
+        <para>Download: <ulink url="&libassuan-url;"/></para>
+        <para>MD5 sum: <literal>&libassuan-md5;</literal></para>
+        <para>Download: <ulink url="&libgcrypt-url;"/></para>
+        <para>MD5 sum: <literal>&libgcrypt-md5;</literal></para>
+        <para>Download: <ulink url="&libgpg-error-url;"/></para>
+        <para>MD5 sum: <literal>&libgpg-error-md5;</literal></para>
+        <para>Download: <ulink url="&libksba-url;"/></para>
+        <para>MD5 sum: <literal>&libksba-md5;</literal></para>
+        <para>Download: <ulink url="&libtasn1-url;"/></para>
+        <para>MD5 sum: <literal>&libtasn1-md5;</literal></para>
+        <para>Download: <ulink url="&libxml2-url;"/></para>
+        <para>MD5 sum: <literal>&libxml2-md5;</literal></para>
+        <para>Download: <ulink url="&libxml2-testsuite-url;"/></para>
+        <para>MD5 sum: <literal>&libxml2-testsuite-md5;</literal></para>
+        <para>Download: <ulink url="&make-ca-url;"/></para>
+        <para>MD5 sum: <literal>&make-ca-md5;</literal></para>
+        <para>Download: <ulink url="&nettle-url;"/></para>
+        <para>MD5 sum: <literal>&nettle-md5;</literal></para>
+        <para>Download: <ulink url="&npth-url;"/></para>
+        <para>MD5 sum: <literal>&npth-md5;</literal></para>
+        <para>Download: <ulink url="&p11-kit-url;"/></para>
+        <para>MD5 sum: <literal>&p11-kit-md5;</literal></para>
         <para>Download: <ulink url="&pacman-url;"/></para>
         <para>MD5 sum: <literal>&pacman-md5;</literal></para>
+        <para>Download: <ulink url="&pacman-contrib-url;"/></para>
+        <para>MD5 sum: <literal>&pacman-contrib-md5;</literal></para>
+        <para>Download: <ulink url="&pacman-hooks-url;"/></para>
+        <para>MD5 sum: <literal>&pacman-hooks-md5;</literal></para>
+        <para>Download: <ulink url="&pip-url;"/></para>
+        <para>MD5 sum: <literal>&pip-md5;</literal></para>
+        <para>Download: <ulink url="&pth-url;"/></para>
+        <para>MD5 sum: <literal>&pth-md5;</literal></para>
+        <para>Download: <ulink url="&setuptools-url;"/></para>
+        <para>MD5 sum: <literal>&setuptools-md5;</literal></para>
+        <para>Download: <ulink url="&sqlite-url;"/></para>
+        <para>MD5 sum: <literal>&sqlite-md5;</literal></para>
+        <para>Download: <ulink url="&sqlite-doc-url;"/></para>
+        <para>MD5 sum: <literal>&sqlite-doc-md5;</literal></para>
+        <para>Download: <ulink url="&unzip-url;"/></para>
+        <para>MD5 sum: <literal>&unzip-md5;</literal></para>
 </sect1>
 
-<!-- If needed, uncomment and edit this:
 <sect1 id="patches">
-        <para>Download: <ulink url="somepatch-url"/></para>
-        <para>MD5 sum: <literal>somepatch-md5</literal></para>
+        <para>Download: <ulink url="&fakeroot-patch-url;"/></para>
+        <para>MD5 sum: <literal>&fakeroot-patch-md5;</literal></para>
+        <para>Download: <ulink url="&fakeroot-chroot-patch-url;"/></para>
+        <para>MD5 sum: <literal>&fakeroot-chroot-patch-md5;</literal></para>
+        <para>Download: <ulink url="&pacman-contrib-patch-url;"/></para>
+        <para>MD5 sum: <literal>&pacman-contrib-patch-md5;</literal></para>
+        <para>Download: <ulink url="&unzip-patch-url;"/></para>
+        <para>MD5 sum: <literal>&unzip-patch-md5;</literal></para>
 </sect1>
--->
 
-<!-- Do not change the next line. The name of the scriptlet will be taken
-from the dbhtml instruction: it is the name of the file less .html, with
-xxx-x-added before (x, digits).-->
-<sect1 id="ch-tools-libarchive" role="wrap">
-  <?dbhtml filename="libarchive.html"?>
+<!-- Removed ch-tools as newer book is required anyway -->
+
+<!-- version for new book: needs ninja and meson, which needs
+     Python rebuilt with libffi and zlib. Needs also pkg-config -->
+<sect1 id="ch-chroot-bzip2" role="wrap">
+  <?dbhtml filename="bzip2.html"?>
 
   <sect1info condition="script">
-    <productname>libarchive</productname>
-    <productnumber>&libarchive-version;</productnumber>
-    <address>&libarchive-url;</address>
+    <productname>bzip2</productname>
+    <productnumber>&bzip2-version;</productnumber>
+    <address>&bzip2-url;</address>
   </sect1info>
 
-  <title>Libarchive-&libarchive-version;</title>
+  <title>Bzip2-&bzip2-version;</title>
 
   <sect2 role="installation">
     <title/>
-<screen><userinput remap="configure">./configure --prefix=/tools \
-            --without-bz2lib \
-            --without-xml2   \
-            --enable-bsdtar=static \
-            --enable-bsdcpio=static</userinput></screen>
-<screen><userinput remap="make">make</userinput></screen>
-<screen><userinput remap="install">make install</userinput></screen>
+<screen><userinput remap="pre">patch -Np1 -i ../bzip2-1.0.8-install_docs-1.patch
+sed -i 's@\(ln -s -f \)$(PREFIX)/bin/@\1@' Makefile
+sed -i "s@(PREFIX)/man@(PREFIX)/share/man@g" Makefile</userinput></screen>
+<screen><userinput remap="make">make -f Makefile-libbz2_so
+make clean
+make</userinput></screen>
+<screen><userinput remap="install">make PREFIX=/usr install
+cp -av libbz2.so.* /usr/lib
+cp -v bzip2-shared /usr/bin/bzip2
+rm -fv /usr/lib/libbz2.a
+ln -sv libbz2.so.1.0.8 /usr/lib/libbz2.so</userinput></screen>
   </sect2>
 
 </sect1>
 
-<sect1 id="ch-tools-openssl" role="wrap">
-  <?dbhtml filename="openssl.html"?>
+<sect1 id="ch-chroot-libgpg-error" role="wrap">
+  <?dbhtml filename="libgpg-error.html"?>
 
   <sect1info condition="script">
-    <productname>openssl</productname>
-    <productnumber>&openssl-version;</productnumber>
-    <address>&openssl-url;</address>
+    <productname>libgpg-error</productname>
+    <productnumber>&libgpg-error-version;</productnumber>
+    <address>&libgpg-error-url;</address>
   </sect1info>
 
-  <title>openssl-&openssl-version;</title>
+  <title>libgpg-error-&libgpg-error-version;</title>
 
   <sect2 role="installation">
     <title/>
-<screen><userinput remap="configure">./config --prefix=/tools            \
-         --openssldir=/tools/etc/ssl \
-         --libdir=lib</userinput></screen>
+<screen><userinput remap="configure">./configure --prefix=/usr</userinput></screen>
 <screen><userinput remap="make">make</userinput></screen>
 <screen><userinput remap="install">make install</userinput></screen>
   </sect2>
 
 </sect1>
 
-<sect1 id="ch-tools-curl" role="wrap">
-  <?dbhtml filename="curl.html"?>
+<sect1 id="ch-chroot-libassuan" role="wrap">
+  <?dbhtml filename="libassuan.html"?>
 
   <sect1info condition="script">
-    <productname>curl</productname>
-    <productnumber>&curl-version;</productnumber>
-    <address>&curl-url;</address>
+    <productname>libassuan</productname>
+    <productnumber>&libassuan-version;</productnumber>
+    <address>&libassuan-url;</address>
   </sect1info>
 
-  <title>Curl-&curl-version;</title>
+  <title>libassuan-&libassuan-version;</title>
 
   <sect2 role="installation">
     <title/>
-<screen><userinput remap="configure">./configure --prefix=/tools \
-            --disable-static</userinput></screen>
+<screen><userinput remap="configure">./configure --prefix=/usr</userinput></screen>
 <screen><userinput remap="make">make</userinput></screen>
 <screen><userinput remap="install">make install</userinput></screen>
   </sect2>
 
 </sect1>
 
-<sect1 id="ch-tools-libcap" role="wrap">
-  <?dbhtml filename="libcap.html"?>
-
-  <sect1info condition="script">
-    <productname>libcap</productname>
-    <productnumber>&libcap-version;</productnumber>
-    <address>&libcap-url;</address>
-  </sect1info>
-
-  <title>libcap-&libcap-version;</title>
-
-  <sect2 role="installation">
-    <title/>
-<screen><userinput remap="make">make lib=lib prefix=/tools GOLANG=no PAM_CAP=no</userinput></screen>
-<screen><userinput remap="install">make lib=lib prefix=/tools GOLANG=no PAM_CAP=no install</userinput></screen>
-  </sect2>
-
-</sect1>
-
-<sect1 id="ch-tools-fakeroot" role="wrap">
-  <?dbhtml filename="fakeroot.html"?>
+<sect1 id="ch-chroot-pth" role="wrap">
+  <?dbhtml filename="pth.html"?>
 
   <sect1info condition="script">
-    <productname>fakeroot</productname>
-    <productnumber>&fakeroot-version;</productnumber>
-    <address>&fakeroot-url;</address>
+    <productname>pth</productname>
+    <productnumber>&pth-version;</productnumber>
+    <address>&pth-url;</address>
   </sect1info>
 
-  <title>fakeroot-&fakeroot-version;</title>
+  <title>pth-&pth-version;</title>
 
   <sect2 role="installation">
     <title/>
-<screen><userinput remap="configure">./configure --prefix=/tools</userinput></screen>
+<screen><userinput remap="pre">sed -i 's#$(LOBJS): Makefile#$(LOBJS): pth_p.h Makefile#' Makefile.in</userinput></screen>
+<screen><userinput remap="configure">./configure --prefix=/usr \
+           --mandir=/usr/share/man</userinput></screen>
 <screen><userinput remap="make">make</userinput></screen>
 <screen><userinput remap="install">make install</userinput></screen>
   </sect2>
 
 </sect1>
 
-<sect1 id="ch-tools-pkgmngt" role="wrap">
-  <?dbhtml filename="pacman.html"?>
+<sect1 id="ch-chroot-libgcrypt" role="wrap">
+  <?dbhtml filename="libgcrypt.html"?>
 
   <sect1info condition="script">
-    <productname>pacman</productname>
-    <productnumber>&pacman-version;</productnumber>
-    <address>&pacman-url;</address>
+    <productname>libgcrypt</productname>
+    <productnumber>&libgcrypt-version;</productnumber>
+    <address>&libgcrypt-url;</address>
   </sect1info>
 
-  <title>Pacman-&pacman-version;</title>
+  <title>libgcrypt-&libgcrypt-version;</title>
 
   <sect2 role="installation">
     <title/>
-<!-- You can use any number of remap="pre", "configure", "make", "test", "install"
-<screen><userinput remap="something">Instructions</userinput></screen>.
-They are executed in that order. "pre" can be used for patching for example.
-In case testing is enabled, the instructions flagged test are logged to a different
-file (test-log). If testing is not enabled, they are not executed at all. Do not
-put line breaks before and after your instructions. <userinput> without
-remap attribute are considered configuration instructions and executed last. You
-can also use remap="adjust" for the same purpose. -->
-<screen><userinput remap="configure">mkdir build
-cd build
-meson --prefix=/tools                        \
-      --sysconfdir=/tools/etc                \
-      --localstatedir=/tools/var             \
-      -Dcrypto=openssl                       \
-      -Ddoc=disabled                         \
-      -Dgpgme=disabled                       \
-      -Dpkg_config_path=/tools/lib/pkgconfig</userinput></screen>
-
-<screen><userinput remap="make">ninja</userinput></screen>
-
-<screen><userinput remap="install">ninja install</userinput></screen>
-
-<screen><userinput>sed -e 's@/usr@/tools@g' \
-    -e 's/\([^!]\)strip/\1!strip/' \
-    -e 's/\([^!]\)libtool/\1!libtool/' \
-    -e 's/\([^!]\)zipman/\1!zipman/' \
-    -i /tools/etc/makepkg.conf
-cat &gt;&gt; /tools/etc/makepkg.conf &lt;&lt; EOF
-BUILDDIR=/sources
-PKGDEST=/var/lib/packages
-PACKAGER="Pierre Labastie &lt;lnimbus@club-internet.fr&gt;"
-EOF
-cat &gt;&gt; /tools/etc/pacman.conf &lt;&lt; EOF
-DBPath   = /var/lib/pacman/
-CacheDir = /var/cache/pacman/pkg/
-LogFile  = /var/log/pacman.log
-SigLevel = Never
-# Repository: do not add one now: repo-add needs openssl.
-EOF</userinput></screen>
-
+<screen><userinput remap="configure">./configure --prefix=/usr</userinput></screen>
+<screen><userinput remap="make">make</userinput></screen>
+<screen><userinput remap="install">make install</userinput></screen>
   </sect2>
 
 </sect1>
 
-<!-- version for new book: needs ninja and meson, which needs
-     Python rebuilt with libffi and zlib. Needs also pkg-config -->
-<sect1 id="ch-chroot-libarchive" role="wrap">
-  <?dbhtml filename="libarchive.html"?>
+<sect1 id="ch-chroot-libksba" role="wrap">
+  <?dbhtml filename="libksba.html"?>
 
   <sect1info condition="script">
-    <productname>libarchive</productname>
-    <productnumber>&libarchive-version;</productnumber>
-    <address>&libarchive-url;</address>
+    <productname>libksba</productname>
+    <productnumber>&libksba-version;</productnumber>
+    <address>&libksba-url;</address>
   </sect1info>
 
-  <title>Libarchive-&libarchive-version;</title>
+  <title>libksba-&libksba-version;</title>
 
   <sect2 role="installation">
     <title/>
-<screen><userinput remap="configure">./configure --prefix=/usr \
-            --without-bz2lib \
-            --without-xml2   \
-            --enable-bsdtar=static \
-            --enable-bsdcpio=static</userinput></screen>
+<screen><userinput remap="configure">./configure --prefix=/usr</userinput></screen>
 <screen><userinput remap="make">make</userinput></screen>
 <screen><userinput remap="install">make install</userinput></screen>
   </sect2>
 
 </sect1>
 
-<sect1 id="ch-chroot-openssl" role="wrap">
-  <?dbhtml filename="openssl.html"?>
+<sect1 id="ch-chroot-libtasn1" role="wrap">
+  <?dbhtml filename="libtasn1.html"?>
 
   <sect1info condition="script">
-    <productname>openssl</productname>
-    <productnumber>&openssl-version;</productnumber>
-    <address>&openssl-url;</address>
+    <productname>libtasn1</productname>
+    <productnumber>&libtasn1-version;</productnumber>
+    <address>&libtasn1-url;</address>
   </sect1info>
 
-  <title>openssl-&openssl-version;</title>
+  <title>libtasn1-&libtasn1-version;</title>
 
   <sect2 role="installation">
     <title/>
-<screen><userinput remap="configure">
-./config --prefix=/usr         \
-         --openssldir=/etc/ssl \
-         --libdir=lib          \
-         shared</userinput></screen>
+<screen><userinput remap="configure">./configure --prefix=/usr --disable-static</userinput></screen>
 <screen><userinput remap="make">make</userinput></screen>
 <screen><userinput remap="install">make install</userinput></screen>
   </sect2>
 
 </sect1>
 
-<sect1 id="ch-chroot-curl" role="wrap">
-  <?dbhtml filename="curl.html"?>
+<sect1 id="ch-chroot-libffi" role="wrap">
+  <?dbhtml filename="libffi.html"?>
 
   <sect1info condition="script">
-    <productname>curl</productname>
-    <productnumber>&curl-version;</productnumber>
-    <address>&curl-url;</address>
+    <productname>libffi</productname>
+    <productnumber>&libffi-version;</productnumber>
+    <address>&libffi-url;</address>
   </sect1info>
 
-  <title>Curl-&curl-version;</title>
+  <title>libffi-&libffi-version;</title>
 
   <sect2 role="installation">
     <title/>
-<screen><userinput remap="configure">./configure --prefix=/usr \
-            --disable-static</userinput></screen>
+<screen><userinput remap="configure">./configure --prefix=/usr --disable-static --with-gcc-arch=native</userinput></screen>
 <screen><userinput remap="make">make</userinput></screen>
 <screen><userinput remap="install">make install</userinput></screen>
   </sect2>
 
 </sect1>
 
-<sect1 id="ch-chroot-libcap" role="wrap">
-  <?dbhtml filename="libcap.html"?>
+<sect1 id="ch-chroot-zlib" role="wrap">
+  <?dbhtml filename="zlib.html"?>
 
   <sect1info condition="script">
-    <productname>libcap</productname>
-    <productnumber>&libcap-version;</productnumber>
-    <address>&libcap-url;</address>
+    <productname>zlib</productname>
+    <productnumber>&zlib-version;</productnumber>
+    <address>&zlib-url;</address>
   </sect1info>
 
-  <title>libcap-&libcap-version;</title>
+  <title>zlib-&zlib-version;</title>
 
   <sect2 role="installation">
     <title/>
-<screen><userinput remap="pre">sed -i '/install.*STACAPLIBNAME/d' libcap/Makefile</userinput></screen>
-<screen><userinput remap="make">make lib=lib</userinput></screen>
-<screen><userinput remap="install">make lib=lib PKGCONFIGDIR=/usr/lib/pkgconfig install
-chmod -v 755 /lib/libcap.so.&libcap-version;
-mv -v /lib/libpsx.a /usr/lib
-rm -v /lib/libcap.so
-ln -sfv ../../lib/libcap.so.2 /usr/lib/libcap.so</userinput></screen>
+<screen><userinput remap="configure">./configure --prefix=/usr</userinput></screen>
+<screen><userinput remap="make">make</userinput></screen>
+<screen><userinput remap="install">make install
+rm -fv /usr/lib/libz.a</userinput></screen>
   </sect2>
 
 </sect1>
 
-<sect1 id="ch-chroot-fakeroot" role="wrap">
-  <?dbhtml filename="fakeroot.html"?>
+<sect1 id="ch-chroot-openssl" role="wrap">
+  <?dbhtml filename="openssl.html"?>
 
   <sect1info condition="script">
-    <productname>fakeroot</productname>
-    <productnumber>&fakeroot-version;</productnumber>
-    <address>&fakeroot-url;</address>
+    <productname>openssl</productname>
+    <productnumber>&openssl-version;</productnumber>
+    <address>&openssl-url;</address>
   </sect1info>
 
-  <title>fakeroot-&fakeroot-version;</title>
+  <title>openssl-&openssl-version;</title>
 
   <sect2 role="installation">
     <title/>
-<screen><userinput remap="configure">./configure --prefix=/usr</userinput></screen>
+<screen><userinput remap="configure">./config --prefix=/usr         \
+         --openssldir=/etc/ssl \
+         --libdir=lib          \
+         shared                \
+         zlib-dynamic</userinput></screen>
 <screen><userinput remap="make">make</userinput></screen>
-<screen><userinput remap="install">make install</userinput></screen>
+<screen><userinput remap="install">sed -i '/INSTALL_LIBS/s/libcrypto.a libssl.a//' Makefile
+make MANSUFFIX=ssl install</userinput></screen>
   </sect2>
 
 </sect1>
 
-<sect1 id="ch-chroot-zlib" role="wrap">
-  <?dbhtml filename="zlib.html"?>
+<sect1 id="ch-chroot-sqlite" role="wrap">
+  <?dbhtml filename="sqlite.html"?>
 
   <sect1info condition="script">
-    <productname>zlib</productname>
-    <productnumber>&zlib-version;</productnumber>
-    <address>&zlib-url;</address>
+    <productname>sqlite</productname>
+    <productnumber>&sqlite-short-version;</productnumber>
+    <address>&sqlite-url;</address>
   </sect1info>
 
-  <title>zlib-&zlib-version;</title>
+  <title>sqlite-&sqlite-short-version;</title>
 
   <sect2 role="installation">
     <title/>
-<screen><userinput remap="configure">./configure --prefix=/usr</userinput></screen>
+<screen><userinput remap="configure">./configure --prefix=/usr     \
+            --disable-static  \
+            --enable-fts5     \
+            CPPFLAGS="-DSQLITE_ENABLE_FTS3=1  \
+            -DSQLITE_ENABLE_FTS4=1            \
+            -DSQLITE_ENABLE_COLUMN_METADATA=1 \
+            -DSQLITE_ENABLE_UNLOCK_NOTIFY=1   \
+            -DSQLITE_ENABLE_DBSTAT_VTAB=1     \
+            -DSQLITE_SECURE_DELETE=1          \
+            -DSQLITE_ENABLE_FTS3_TOKENIZER=1"</userinput></screen>
 <screen><userinput remap="make">make</userinput></screen>
-<screen><userinput remap="install">make install
-mv -v /usr/lib/libz.so.* /lib
-ln -sfv ../../lib/$(readlink /usr/lib/libz.so) /usr/lib/libz.so</userinput></screen>
+<screen><userinput remap="install">make install</userinput></screen>
   </sect2>
 
 </sect1>
 
-<sect1 id="ch-chroot-libffi" role="wrap">
-  <?dbhtml filename="libffi.html"?>
+<sect1 id="ch-chroot-gmp" role="wrap">
+  <?dbhtml filename="gmp.html"?>
 
   <sect1info condition="script">
-    <productname>libffi</productname>
-    <productnumber>&libffi-version;</productnumber>
-    <address>&libffi-url;</address>
+    <productname>gmp</productname>
+    <productnumber>&gmp-version;</productnumber>
+    <address>&gmp-url;</address>
   </sect1info>
 
-  <title>libffi-&libffi-version;</title>
+  <title>gmp-&gmp-version;</title>
 
   <sect2 role="installation">
     <title/>
-<screen><userinput remap="configure">./configure --prefix=/usr --disable-static --with-gcc-arch=native</userinput></screen>
+<screen><userinput remap="pre">cp -v configfsf.guess config.guess
+cp -v configfsf.sub   config.sub</userinput></screen>
+<screen><userinput remap="configure">./configure --prefix=/usr    \
+            --enable-cxx     \
+            --disable-static \
+            --docdir=/usr/share/doc/gmp-6.2.1</userinput></screen>
 <screen><userinput remap="make">make</userinput></screen>
 <screen><userinput remap="install">make install</userinput></screen>
   </sect2>
 
 </sect1>
 
-<sect1 id="ch-chroot-python" role="wrap">
-  <?dbhtml filename="Python-pass2.html"?>
+<sect1 id="ch-chroot-nettle" role="wrap">
+  <?dbhtml filename="nettle.html"?>
 
   <sect1info condition="script">
-    <productname>Python</productname>
-    <productnumber>&python-version;</productnumber>
-    <address>&python-url;</address>
+    <productname>nettle</productname>
+    <productnumber>&nettle-version;</productnumber>
+    <address>&nettle-url;</address>
   </sect1info>
 
-  <title>Python-&python-version;</title>
+  <title>nettle-&nettle-version;</title>
 
   <sect2 role="installation">
     <title/>
-<screen><userinput remap="configure">./configure --prefix=/usr --without-ensurepip --enable-shared</userinput></screen>
+<screen><userinput remap="configure">./configure --prefix=/usr --disable-static</userinput></screen>
 <screen><userinput remap="make">make</userinput></screen>
-<screen><userinput remap="install">make install</userinput></screen>
+<screen><userinput remap="install">make install
+chmod -v 755 /usr/lib/lib{hogweed,nettle}.so</userinput></screen>
   </sect2>
 
 </sect1>
 
-<sect1 id="ch-chroot-ninja" role="wrap">
-  <?dbhtml filename="ninja.html"?>
+<sect1 id="ch-chroot-libarchive" role="wrap">
+  <?dbhtml filename="libarchive.html"?>
 
   <sect1info condition="script">
-    <productname>ninja</productname>
-    <productnumber>&ninja-version;</productnumber>
-    <address>&ninja-url;</address>
+    <productname>libarchive</productname>
+    <productnumber>&libarchive-version;</productnumber>
+    <address>&libarchive-url;</address>
   </sect1info>
 
-  <title>ninja-&ninja-version;</title>
+  <title>Libarchive-&libarchive-version;</title>
 
   <sect2 role="installation">
     <title/>
-<screen><userinput remap="configure">python3 configure.py --bootstrap</userinput></screen>
-<screen><userinput remap="install">install -vm755 ninja /usr/bin/</userinput></screen>
+<screen><userinput remap="configure">./configure --prefix=/usr \
+            --disable-static</userinput></screen>
+<screen><userinput remap="make">make</userinput></screen>
+<screen><userinput remap="install">make install</userinput></screen>
   </sect2>
 
 </sect1>
 
-<sect1 id="ch-chroot-meson" role="wrap">
-  <?dbhtml filename="meson.html"?>
+<sect1 id="ch-chroot-expat" role="wrap">
+  <?dbhtml filename="expat.html"?>
 
   <sect1info condition="script">
-    <productname>meson</productname>
-    <productnumber>&meson-version;</productnumber>
-    <address>&meson-url;</address>
+    <productname>expat</productname>
+    <productnumber>&expat-version;</productnumber>
+    <address>&expat-url;</address>
   </sect1info>
 
-  <title>meson-&meson-version;</title>
+  <title>expat-&expat-version;</title>
 
   <sect2 role="installation">
     <title/>
-<screen><userinput remap="install">cp meson.py /usr/bin/meson
-cp -rv mesonbuild /usr/bin</userinput></screen>
+<screen><userinput remap="configure">./configure --prefix=/usr    \
+            --disable-static \
+            --docdir=/usr/share/doc/expat-&expat-version;</userinput></screen>
+<screen><userinput remap="make">make</userinput></screen>
+<screen><userinput remap="install">make install</userinput></screen>
   </sect2>
 
 </sect1>
 
-<sect1 id="ch-chroot-pkgconfig" role="wrap">
-  <?dbhtml filename="pkgconfig.html"?>
+<sect1 id="ch-chroot-pkg-config" role="wrap">
+  <?dbhtml filename="pkg-config.html"?>
 
   <sect1info condition="script">
     <productname>pkg-config</productname>
@@ -444,7 +523,7 @@ cp -rv mesonbuild /usr/bin</userinput></screen>
     <address>&pkgconfig-url;</address>
   </sect1info>
 
-  <title>pkg-config-&pkgconfig-version;</title>
+  <title>pkgconfig-&pkgconfig-version;</title>
 
   <sect2 role="installation">
     <title/>
